SoReadError(3IV)

NAME
SoReadError — read error handling

INHERITS FROM
SoError > SoReadError

SYNOPSIS
#include <Inventor/errors/SoReadError.h>

Methods from class SoReadError:

static void
setHandlerCallback(SoErrorCB *cb, void *data)
static SoErrorCB *
getHandlerCallback()
static void *
getHandlerData()
static SoType
getClassTypeId()

Methods from class SoError:

const SbString &
getDebugString() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
SoReadError is used for errors reported while reading Inventor data files.

METHODS
static void
setHandlerCallback(SoErrorCB *cb, void *data)
static SoErrorCB *
getHandlerCallback()
static void *
getHandlerData()
Sets/returns handler callback for SoReadError class.

static SoType
getClassTypeId()
Returns type identifier for SoReadError class.

SEE ALSO
SoDebugError, SoMemoryError